fsck.reiser4(8)

NOM
fsck.reiser4 - Vérifier et réparer un système de fichiers Reiser4

SYNOPSIS
fsck.reiser4 [options] fichier

DESCRIPTION
fsck.reiser4 est le programme de vérification et de réparation des systèmes de fichiers Reiser4.

OPTIONS DE VÉRIFICATION

--check
    Cette action par défaut vérifie la cohérence et fournit un rapport, mais ne corrige pas les corruptions trouvées. Cette option peut être utilisée sur un système de fichiers monté en lecture seule.

--fix
    Corriger les corruptions mineures qui ne nécessitent pas une reconstruction ; mettre des valeurs correctes pour les octets qui ne sont pas pris en charge par le noyau dans le cas d'une compression transparente.

--build-sb
    Corriger toutes les corruptions majeures des superblocs, reconstruire complètement les superblocs si nécessaire.

--build-fs
    Corriger toutes les corruptions majeures du système de fichiers, à l'exception des corruptions de superblocs ; reconstruire complètement un système de fichiers Reiser4 si nécessaire.

-L, --logfile
    Forcer fsck à fournir le rapport des corruptions dans le fichier indiqué au lieu de la sortie d'erreur standard.

-n, --no-log
    Désactiver l'affichage de tout type de corruption trouvé par fsck.

-a, --auto
    Vérifier automatiquement le système de fichiers sans aucune question.

-q, --quiet
    Supprimer les barres de progression.

-r  ignoré

OPTIONS DE GREFFON

--print-profile
    Afficher le profil des greffons. Il s'agit de l'ensemble des greffons utilisés pour toutes les parties d'un système de fichiers — le format, les nœuds, les fichiers, les répertoires, les tables de hachage, etc. Si --override est utilisée, alors afficher les greffons modifiés.

-l, --print-plugins
    Afficher tous les greffons connus de libreiser4.

-o, --override TYPE=GREFFON, ...
    Remplacer le greffon par défaut pour le type par le greffon dans le profil des greffons.

OPTIONS GÉNÉRALES

-V, --version
    Afficher la version du programme.

-?, -h, --help
    Afficher l'aide du programme.

-q, --quiet
    Supprimer les messages.

-y, --yes
    Considérer que toutes les questions reçoivent une réponse affirmative.

-f, --force
    Forcer fsck à utiliser tout le disque, au lieu d'un périphérique bloc ou une partition montée.

-p, --preen
    Réparer automatiquement les corruptions mineures du système de fichiers.

-c, --cache n
    Configurer le nombre de nœuds dans le cache d'arbres tampons de libreiser4.

SIGNALER DES BOGUES
Signaler toute erreur à <reiserfs-devel@vger.kernel.org>

VOIR AUSSI
debugfs.reiser4(8), mkfs.reiser4(8), measurefs.reiser4(8)

AUTEUR
Cette page de manuel a été écrite par Vitaly Fertman <vitaly@namesys.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Bour, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.